package org.latexlab.clsi.client.protocol;

import com.google.gwt.core.client.JavaScriptObject;

import java.util.Date;

public class ClsiResourceReference extends JavaScriptObject {
  
  public static ClsiResourceReference newInstance(
	  String documentId, String name, String url, String auth,
	  String mimeType, String encoding, Date modified) {
	ClsiResourceReference obj = JavaScriptObject.createObject().cast();
	obj.setDocumentId(documentId);
	obj.setName(name);
	obj.setUrl(url);
	obj.setAuthorization(auth);
	obj.setMimeType(mimeType);
	obj.setEncoding(encoding);
	obj.setModified(modified);
	return obj;
  }

  protected ClsiResourceReference() { }
  
  public final native String getDocumentId() /*-{
    return this.documentId;
  }-*/;

  public final native void setDocumentId(String documentId) /*-{
    this.documentId = documentId;
  }-*/;

  public final native String getName() /*-{
    return this.name;
  }-*/;

  public final native void setName(String name) /*-{
    this.name = name;
  }-*/;

  public final native Date getModified() /*-{
  	return @org.latexlab.clsi.client.impl.DateHelper::millisecondsToDate(D)(this.modified.getTime());
  }-*/;

  public final native void setModified(Date modified) /*-{
    this.modified = new Date(@org.latexlab.clsi.client.impl.DateHelper::dateToMilliseconds(Ljava/util/Date;)(modified));
  }-*/;

  public final native String getUrl() /*-{
    return this.url;
  }-*/;

  public final native void setUrl(String url) /*-{
    this.url = url;
  }-*/;

  public final native String getAuthorization() /*-{
    return this.auth;
  }-*/;

  public final native void setAuthorization(String auth) /*-{
    this.auth = auth;
  }-*/;

  public final native String getMimeType() /*-{
    return this.mimeType;
  }-*/;

  public final native void setMimeType(String mimeType) /*-{
    this.mimeType = mimeType;
  }-*/;

  public final native String getEncoding() /*-{
    return this.encoding;
  }-*/;

  public final native void setEncoding(String encoding) /*-{
    this.encoding = encoding;
  }-*/;
  
}
